# Interactive Ruby Calculator

Interactive Ruby Calculator (IRC) was made with the goal of having an easy-to-use and accessible calculator, capable of developing basic and complex operations like a scientific calculator, like sums, subtraction, divisions, powers, square roots and more...

The challenge of this project is to implement an interface that is capable of recognizing multiple operations in just one line of text and solving them precisely and in the correct order.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'iluzio_calculator'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install iluzio_calculator

## Usage

To use the Ruby Interactive Calculator, create a `CUI` from the module `IluzioCalculator` and use the method `menu()` to activate your calculator. To exit, type `exit` on the menu.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/iluzio_calculator. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/[USERNAME]/iluzio_calculator/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the IluzioCalculator project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/iluzio_calculator/blob/master/CODE_OF_CONDUCT.md).
